/* styles for surveys */

body {
	font-family: 'Open Sans', sans-serif;
	font-size: 16x;
	color: #777777;	
	height: 100%;
	width: 100%;
	margin: 0;
	padding: 0;
	text-align: center;
	background: #fafafa;
}

#container {
	position: relative;
	display: inline-block;
	box-sizing: border-box;
	padding: 20px;
	margin-top: 20px;
	border: 1px solid #ececec;
	background: #ffffff;
}
p {
	position: relative;
	display: inline-block;
	text-align: left;
	margin: 5px 0;
}
input[type='text'] {
	padding: 20px;
	outline: none;
}
input[type='submit'] {
	position: relative;
	display: inline-block;
	padding: 10px 20px;
	outline: none;
	background: #ececec;
	width: 80%;
	box-sizing: border-box;
	border: 1px solid #cccccc;
	text-transform: uppercase;
	transition: all 0.5s ease;
	font-weight: bold;
	margin-top: 20px;
	font-size: 1.2em;
}
input[type='submit']:hover {
	cursor: pointer;
	background: #cccccc;
}
#rating {
	position: relative;
	display: inline-block;
	box-sizing: border-box;
	width: 100%;
	margin: 10px 0;
	padding: 10px 0;
}
input[type='radio'] {
	display: none;
}
label {
	position: relative;
	display: inline-block;
	box-sizing: border-box;
	width: 8%;
	text-align: center;	
	font-size: 2.0em;
	padding: 20px;
	margin: 1px;
}
select {
	position: relative;
	display: inline-block;
	box-sizing: border-box;
	width: 80%;
	text-align: center;
	font-size: 2.0em;
}
textarea {
	position: relative;
	display: inline-block;
	box-sizing: border-box;
	width: 80%;	
	padding: 20px;
	outline: none;
	margin: 5px 0;
}
.error {
	position: relative;
	display: inline-block;
	padding: 10px;
	text-align: center;
	color: red;
	font-size: 1.1em;
	background: #ececec;
	border: 1px solid #cccccc;
	width: 80%;
	box-sizing: border-box;
}
.success {
	position: relative;
	display: inline-block;
	padding: 10px;
	text-align: center;
	color: green;
	font-size: 1.1em;
	background: #ececec;
	border: 1px solid #cccccc;
	width: 80%;	
	box-sizing: border-box;	
}

a.button:link, a.button:active, a.button:hover, a.button:visited  {
	position: relative;
	display: inline-block;
	width: 100%;
	text-decoration: none;
	color: #333;
	background: #ececec;
	border: 1px solid #ccc;
	padding: 10px;
	box-sizing: border-box;
	text-align: left;
	transition: all 0.5s ease;
	font-size: 1.8em;
	line-height: 30px;
	display: flex;
  	align-items: center;
}
a.button:hover {
	border: 1px solid #000;
}
a.button > img {
	float: left;
	height: 100px;
	padding: 0 20px 0 0;
}

@media screen and (min-width: 801px) {
	#container {
		width: 75%;
		max-width: 800px;
	}
	p {
		width: 80%;	
	}
	label:hover {
		cursor: pointer;
		background: #cccccc;
	}
	.ratingSelected {
		color: #000000;
		background: #ececec;
		font-weight: bold;
	}	
}

@media screen and (max-width: 800px) {
	#container {
		width: 98%;
	}
	p {
		width: 98%;	
	}
	label:hover {
		cursor: pointer;
		font-weight: bold;
	}
	.ratingSelected {
		color: #000000;
		font-weight: bold;
	}		
}